Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io
Class RandomAccessFileReader

    java.lang.Object
      java.io.Reader
          gnu.prolog.io.RandomAccessFileReader

All Implemented Interfaces:
  Closeable, Readable

    public class RandomAccessFileReader

extends Reader

Reads a `RandomAccessFile`

Author:
  Michiel Hendriks

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`RandomAccessFileReader(RandomAccessFile randomAccess)`

Method Summary
`void` | `close()`
`protected void` | `createReader()`
`long` | `getPosition()`
`int` | `read(char[] cbuf, int off, int len)`
`void` | `seek(long pos)`
`long` | `size()`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomAccessFileReader

    public RandomAccessFileReader(RandomAccessFile randomAccess)

Parameters:
  `randomAccess` -

Method Detail

### createReader

    protected void createReader()

### seek

    public void seek(long pos)
              throws IOException

  Throws:
    `IOException`

### getPosition

    public long getPosition()
                     throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### size

    public long size()
              throws IOException

  Returns:
    the size of the RandomAccessFile
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD